Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoSymbolFile

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoSymbolFile,MonoSymbolFile.ByValue,MonoSymbolFile.ByReference>
              com.nativelibs4java.mono.MonoSymbolFile

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoSymbolFile,MonoSymbolFile.ByValue,MonoSymbolFile.ByReference>>

Direct Known Subclasses:
  MonoSymbolFile.ByReference, MonoSymbolFile.ByValue

    public class MonoSymbolFile

extends Structure<MonoSymbolFile,MonoSymbolFile.ByValue,MonoSymbolFile.ByReference>

native declaration : mono\metadata\debug-mono-symfile.h:84
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoSymbolFile.ByReference`
`static class` | `MonoSymbolFile.ByValue`

Field Summary
`ByteByReference` | `filename`
`int` | `major_version`
`MonoLibrary.GHashTable` | `method_hash`
`int` | `minor_version`
`MonoSymbolFileOffsetTable.ByReference` | `offset_table`
`ByteByReference` | `raw_contents`
`Pointer` | `raw_contents_handle`
`int` | `raw_contents_size`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoSymbolFile()`
`MonoSymbolFile(ByteByReference raw_contents, int raw_contents_size, Pointer raw_contents_handle, int major_version, int minor_version, ByteByReference filename, MonoLibrary.GHashTable method_hash, MonoSymbolFileOffsetTable.ByReference offset_table)`

Method Summary
`protected MonoSymbolFile.ByReference` | `newByReference()`
`protected MonoSymbolFile.ByValue` | `newByValue()`
`protected MonoSymbolFile` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### raw_contents

    public ByteByReference raw_contents

### raw_contents_size

    public int raw_contents_size

### raw_contents_handle

    public Pointer raw_contents_handle

### major_version

    public int major_version

### minor_version

    public int minor_version

### filename

    public ByteByReference filename

### method_hash

    public MonoLibrary.GHashTable method_hash

### offset_table

    public MonoSymbolFileOffsetTable.ByReference offset_table

Constructor Detail

### MonoSymbolFile

    public MonoSymbolFile()

### MonoSymbolFile

    public MonoSymbolFile(ByteByReference raw_contents,
                          int raw_contents_size,
                          Pointer raw_contents_handle,
                          int major_version,
                          int minor_version,
                          ByteByReference filename,
                          MonoLibrary.GHashTable method_hash,
                          MonoSymbolFileOffsetTable.ByReference offset_table)

Method Detail

### newByReference

    protected MonoSymbolFile.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoSymbolFile,MonoSymbolFile.ByValue,MonoSymbolFile.ByReference>`

### newByValue

    protected MonoSymbolFile.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoSymbolFile,MonoSymbolFile.ByValue,MonoSymbolFile.ByReference>`

### newInstance

    protected MonoSymbolFile newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoSymbolFile,MonoSymbolFile.ByValue,MonoSymbolFile.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD